- [HTTP request](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests/open#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests/open#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests/open#body.request_body)
- [Response body](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests/open#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests/open#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.repositories.pullRequests/open#body.aspect_1)

Opens a pull request.

### HTTP request

Choose an endpoint:
asia-east1 asia-northeast1 asia-northeast3 australia-southeast1 europe-west2 europe-west4 me-central2 me-west1 northamerica-northeast1 us-central1 us-east1   
`POST https://securesourcemanager.asia-east1.rep.googleapis.com/v1/{name=projects/*/locations/*/repositories/*/pullRequests/*}:open`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The pull request to open. Format: `projects/{project_number}/locations/{locationId}/repositories/{repositoryId}/pullRequests/{pull_request_id}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/secure-source-manager/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/securesourcemanager.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `securesourcemanager.pullRequests.open`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).